| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::PluginService::Details::Registry::FactoryInfo Struct Reference

`#include <Gaudi/Details/PluginServiceDetails.h>`

Collaboration diagram for Gaudi::PluginService::Details::Registry::FactoryInfo:
[legend]

## Public Member Functions
| FactoryInfo (std::string lib, void *p=0, std::string t="", std::string rt="", std::string cn="", Properties props=Properties())
FactoryInfo & | addProperty (const KeyType &k, std::string v)

## Public Attributes
std::string | library
void * | ptr
std::string | type
std::string | rtype
std::string | className
Properties | properties

## Detailed Description

Definition at line 106 of file PluginServiceDetails.h.

## Constructor & Destructor Documentation

Gaudi::PluginService::Details::Registry::FactoryInfo::FactoryInfo | ( | std::string | lib,
|  | void * | p = `0`,
|  | std::string | t = `""`,
|  | std::string | rt = `""`,
|  | std::string | cn = `""`,
|  | Properties | props = `Properties()`
| ) |  |
| inline

Definition at line 107 of file PluginServiceDetails.h.

111 :
112 library(std::move(lib)), ptr(p),
113 type(std::move(t)), rtype(std::move(rt)),
114 className(std::move(cn)), properties(std::move(props)) {}
Gaudi::PluginService::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetails.h:121
Gaudi::PluginService::Details::Registry::FactoryInfo::ptr
void * ptr
Definition: PluginServiceDetails.h:117
std::move
T move(T...args)
Gaudi::PluginService::Details::Registry::FactoryInfo::library
std::string library
Definition: PluginServiceDetails.h:116
Gaudi::PluginService::Details::Registry::FactoryInfo::rtype
std::string rtype
Definition: PluginServiceDetails.h:119
Gaudi::PluginService::Details::Registry::FactoryInfo::className
std::string className
Definition: PluginServiceDetails.h:120
Gaudi::PluginService::Details::Registry::FactoryInfo::type
std::string type
Definition: PluginServiceDetails.h:118

## Member Function Documentation

FactoryInfo& Gaudi::PluginService::Details::Registry::FactoryInfo::addProperty | ( | const KeyType & | k,
|  | std::string | v
| ) |  |
| inline

Definition at line 123 of file PluginServiceDetails.h.

123 {
124 properties[k] = std::move(v);
125 return *this;
126 }
Gaudi::PluginService::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetails.h:121
std::move
T move(T...args)

## Member Data Documentation

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::className

Definition at line 120 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::library

Definition at line 116 of file PluginServiceDetails.h.

Properties Gaudi::PluginService::Details::Registry::FactoryInfo::properties

Definition at line 121 of file PluginServiceDetails.h.

void* Gaudi::PluginService::Details::Registry::FactoryInfo::ptr

Definition at line 117 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::rtype

Definition at line 119 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::type

Definition at line 118 of file PluginServiceDetails.h.

The documentation for this struct was generated from the following file:

- GaudiPluginService/Gaudi/Details/PluginServiceDetails.h